apiVersion: apps/v1
kind: Deployment
metadata:
  name: task-list
  labels:
    environment: playground
spec:
  selector:
    matchLabels:
      name: task-list
  replicas: 3
  template:
    metadata:
      labels:
        name: task-list
    spec:
      containers:
        - name: task-list
          image: phudakova/tasklist:latest
          imagePullPolicy: Always
          livenessProbe:
            httpGet:
              path: /k8s/liveness
              port: http
          readinessProbe:
            httpGet:
              path: /k8s/readiness
              port: http
